# Dell PERC Hardware RAID Controllers

The Dell PERC (PowerEdge RAID Controller) line is a series of LSI cards flashed with Dell-custom firmware. I run two different models of PERC:

* Dell PERC H310
  * One in each of the PowerEdge R410's
* Dell PERC H200
  *One in the PowerEdge R210

The H310 supports up to eight physical SAS6/SATA3 disks and has Dell's "large disk support" (meaning supporting drives over 2.6TB). It supports RAID configurations 0, 1, 5, and 10. It also supports non-RAID SAS/SATA passthrough.

The H200 supports up to four physical SAS6/SATA3 disks and does not support "large" disks; each physical disk is capped at 2.6TB. It supports RAID configurations 0, 1, and 5.

## Working with CentOS 8

I'm not a fancy guy. I don't need the fastest, sleekest, coolest computer on the block. At the time of this writing (2019) my R410s and R210 are like a trusty '97 Toyota Tacoma (or Carolla, for the R210). They don't have a lot of bells and whistles, but I don't need them to and they work fine for what I need.

But I do like new software. And more importantly, I like supported software and the security updates it brings with it. So during my most recent rebuild of my homelab I figured I'd bump all three servers from CentOS 7.5 to the newly released CentOS 8 and then forget about updates until 2029.

Unfortunately Red Hat decided to drop the drivers that support these perfectly good RAID cards from Cent8. Here's how to make it work:

!!! note
    Ensure the BIOS and RAID settings are configured properly before continuing. Optionally boot into a CentOS 7.x live image to verify everything is setup properly

**Find RAID Card PCI ID**

1. Burn a bootable CentOS installation live ISO to a USB drive (or CD if you're feeling old school)
2. Boot the target device off of the live image
3. Once the GUI installer is presented, press `Ctrl+Alt+F5` to switch to a different TTY session. 
  * You should be presented with a `root@anaconda` terminal prompt.
4. Enter the command `lspci -nn` and identify the RAID card from the list. It will have some combination of `LSI`, `megaraid`, and/or `Dell PERC` in the identifier
5. Note the PCI ID of the RAID card

!!! note
    If the RAID card is not visible in the output of `lspci` then there is likely a misconfiguration or hardware fault farther down the stack than the operating system. Check your BIOS and RAID card settings.

**Download Drivers**